<?php
require_once 'class/c_login.php';
require_once 'include/bd_pdo.php';

$user = Login::get_user();

$user->access();
if($user->acceso == null){
    header('Location: main.php?error=1');
}else{
    $user->print_to_log('Facultades');
}
if($user->admin!=true){
    header('Location: carreras.php?facultad='.$user->facultad['facultad_id']);
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Facultades</title>
    <?php
    include 'import/html_css_files.php';
    ?>
</head>

<body>
    <?php
    include "import/html_header.php";
    html_header(
        "FACULTADES",
        "Gestión de Checador "
    );
    $user->access();
    if(isset($_POST["estado"])){
        echo "estado=".$_POST["estado"];
    }

    if(isset($_POST["desc"])){
        $desc=$_POST["desc"];
        $filter_desc = trim(filter_input(INPUT_POST, "desc", FILTER_SANITIZE_STRING, array('flags' => FILTER_FLAG_STRIP_LOW)));
    }else{
        $desc=null;
    }
    if($user->admin==true){
    $fs_facultades = query(
        "SELECT * FROM fs_facultades(:nombre)",
        array(":nombre" => $desc),
        single:false
    );
    }else{
        $fs_facultades = query(
            "SELECT * FROM fs_facultades(:nombre) where facultad_id = :facultad",
            array(":nombre" => $desc, ":facultad" => $user->facultad["facultad_id"]),
            single:false
        );
    }
    ?>
    <main class="content marco">
        <?php if($user->admin==true)  {?>
        <div class="row">
            <div class="col-12 text-right">
                <button type="button" class="btn btn-outline-secondary" data-toggle="modal" data-target="#modal" data-tipo="1"><span class="ing-mas ing-fw"></span>Crear facultad</button>
            </div>
        </div>
        <?php }?>
        <!-- Filtro -->
        <div class="row">
            <div class="col-12">
                <form action="facultades.php" method="post">
                    <div class="form-box">
                        <div class="form-group row">
                            <label for="filter_desc" class="col-4 col-form-label">Facultad</label>
                            <div class="col-8 col-sm-4">
                                <input id="filter_desc" name="desc" type="text" class="form-control"<?php if(isset($filter_desc)){ echo'value="'.$filter_desc.'"';}?>>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-12 text-center">
                            <button type="submit" class="btn btn-outline-primary">
                                <span class="ing-buscar ing-fw"></span>
                                Filtrar
                            </button>
                            <button type="submit" class="btn btn-outline-danger btn-reset">
                                <span class="ing-borrar ing-fw"></span>
                                Limpiar
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>

        <!-- Tabla -->
        <div class="row">
            <div class="col-12 table-responsive">
                <table class="table table-sm table-striped table-white">
                    <thead class="thead-dark">
                        <tr>
                            <th>Estado</th>
                            <th>Facultad</th>
                            <?php if($user->acceso == 'w')  {?>
                            <th>Acciones</th>
                            <?php }?>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        foreach($fs_facultades as $facultad){
                        ?>
                        <tr data-id="<?php echo $facultad["facultad_id"];?>" id="<?php echo $facultad["facultad_id"];?>">
                            <?php
                                $color = "danger";
                                $title = "Inactiva";
                                if($facultad["facultad_activa"]==1){
                                $color ="success";
                                $title="Activa";
                                }
                            ?>
                            <td class="text-<?php echo $color;?> text-center" title="<?php echo $title;?>">
                                <span class="ing-bullet"></span>
                            </td>
                            <td class="text-primary"><?php echo $facultad["facultad_nombre"];?></td>
                            <?php if($user->acceso == 'w')  {?>
                            <td class="text-center icono-acciones">
                                <a href="#" data-toggle="modal" data-target="#modal" data-tipo="2" title="Editar"><span class="ing-editar ing-fw"></span></a>
                                <a href="carreras.php?facultad=<?php echo $facultad["facultad_id"];?>" title="Agregar carreras o periodos"><span class="ing-mas inf-fw"></span></a>
                            </td>
                            <?php }?>
                        </tr>
                        <?php }?>
                    </tbody>
                </table>
                <div id="message"></div>
            </div>
        </div>
    </main>
    <!-- Footer -->
    <?php
    include "import/html_footer.php";
    ?>
    <!-- Modal -->
    <div class="modal fade" id="modal" tabindex="-1" role="dialog" arialabelledby="modal" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="col-12 modal-title text-center">
                        <span id="modalLabel">
                            Editar nombre de Facultad
                        </span>
                        <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </h4>
                </div>
                <div class="modal-body">
                    <form action="" method="post" id="formaModal" onsubmit="return valida_campos()">
                        <input type="hidden" name="id" id="id">
                        <div class="form-box">
                            <div class="form-group row">
                                <label for="nombre" class="col-4 col-form-label">Nombre *</label>
                                <div class="col-8">
                                    <input id="nombre" name="nombre" type="text" class="form-control" maxlength="100">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="estado" class="col-4 col-form-label">Estado *</label>
                                <div class="col-4">
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input radio-lg" type="radio" id="estado_activo" name="estado" value="1" checked="checked">
                                        <label for="estado_activo" class="col-form-label">Activo</label>
                                    </div>
                                </div>
                                <div class="col-4">
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input radio-lg" type="radio" id="estado_inactivo" name="estado" value="0">
                                        <label for="estado_inactivo" class="col-form-label">Inactivo</label>
                                    </div>
                                </div>
                            </div>
                            <div class ="form-group row mt-3">
                                <div class="offset-4 col-8">
                                    <button type="submit" class="btn btn-outline-primary" id="submitBtn" data-tipo="1">
                                        <span class="ing-aceptar ing-fw"></span> Guardar
                                    </button>
                                    <button type="reset" class="btn btn-outline-danger" data-dismiss="modal">
                                        <span class="ing-cancelar ing-fw"></span> Cancelar
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <script src="js/jquery.min.js"></script>
    <script src="js/bootstrap/bootstrap.min.js"></script>
    <?php
        require_once 'js/messages.php';
    ?>
    <script>
        <?php if(!$fs_facultades){?>
            triggerMessage("No se encontraron facultades con estos datos", "Error");
        <?php }?>

        function valida_campos(){
            var error=false;
            if($("#nombre").val()==""){
                $("#nombre").addClass("is-invalid");
                error=true;
            }else{
                $("#nombre").removeClass("is-invalid");
            }
            if($('#estado_activo').prop('checked') == false && $('#estado_inactivo').prop('checked') == false){
                error=true;
            }
            if(error){
                return false;
            }else{
                var btn = $('#submitBtn');
                if(btn.data("tipo")==2)//update
                    $('#formaModal').prop("action", "./action/action_facultades_update.php");
                else//insert
                    $('#formaModal').prop("action", "./action/action_facultades_insert.php");
            }
        }

        $(document).on("click", ".btn-reset", function(event){
            var forma = $(this).parents("form");
            forma.find("input[type=text]").val("");
            setDatalistFirst("#filter_desc");
            forma.submit();
        });

        $('#modal').on('show.bs.modal', function(event){
            var button = $(event.relatedTarget);
            var tipo = button.data('tipo');
            var modal = $(this);
            if(tipo == 1){//crear
                $("#submitBtn").data('tipo', 1);
                $("#modalLabel").html("Crear Facultad");
                $("#nombre").val("");
                $('#estado_inactivo').prop('checked', false);
                $('#estado_activo').prop('checked', true);
            }else{//editar
                $("#submitBtn").data('tipo', 2);
                $("#modalLabel").html("Editar Facultad");
                $("#nombre").val("");
                $('#estado_inactivo').prop('checked', false);
                $('#estado_activo').prop('checked', true);
                var id = $(event.relatedTarget).parents("tr").data("id");
                $.ajax({
                    url:"action/action_facultades_select.php",
                    type:"post",
                    dataType:"json",
                    data:{id_facultad: id},
                    success:function(result){
                        $("#id").val(result[0]["facultad_id"]);
                        $("#nombre").val(result[0]["facultad_nombre"]);
                        if(result[0]["facultad_activa"]==1){
                            $('#estado_inactivo').prop('checked', false);
                            $('#estado_activo').prop('checked', true);
                        }else{
                            $('#estado_inactivo').prop('checked', true);
                            $('#estado_activo').prop('checked', false);
                        }
                    },
                    error: function(){console.log("Error")}
                });
            }
        });
    </script>
</body>

</html>